diff --git a/contrib/earthdistance/Makefile b/contrib/earthdistance/Makefile
index 765f5e2..1c7dd2d 100644
--- a/contrib/earthdistance/Makefile
+++ b/contrib/earthdistance/Makefile
@@ -3,8 +3,8 @@
 MODULES = earthdistance
 
 EXTENSION = earthdistance
-DATA = earthdistance--1.1.sql earthdistance--1.0--1.1.sql \
-	earthdistance--unpackaged--1.0.sql
+DATA = earthdistance--1.1.sql earthdistance--1.1--1.2.sql \
+	earthdistance--1.0--1.1.sql earthdistance--unpackaged--1.0.sql
 PGFILEDESC = "earthdistance - calculate distances on the surface of the Earth"
 
 REGRESS = earthdistance
diff --git a/contrib/earthdistance/earthdistance--1.1--1.2.sql b/contrib/earthdistance/earthdistance--1.1--1.2.sql
new file mode 100644
index 0000000..4bc929d
--- /dev/null
+++ b/contrib/earthdistance/earthdistance--1.1--1.2.sql
@@ -0,0 +1,14 @@
+/* contrib/earthdistance/earthdistance--1.1--1.2.sql */
+
+-- complain if script is sourced in psql, rather than via ALTER EXTENSION
+\echo Use "ALTER EXTENSION pg_stat_statements UPDATE TO '1.2'" to load this file. \quit
+
+-- SQL language function must have search_path from extension schema
+
+ALTER FUNCTION sec_to_gc(float8) SET search_path FROM CURRENT;
+ALTER FUNCTION gc_to_sec(float8) SET search_path FROM CURRENT;
+ALTER FUNCTION ll_to_earth(float8, float8) SET search_path FROM CURRENT;
+ALTER FUNCTION latitude(earth) SET search_path FROM CURRENT;
+ALTER FUNCTION longitude(earth) SET search_path FROM CURRENT;
+ALTER FUNCTION earth_distance(earth, earth) SET search_path FROM CURRENT;
+ALTER FUNCTION earth_box(earth, float8) SET search_path FROM CURRENT;
diff --git a/contrib/earthdistance/earthdistance.control b/contrib/earthdistance/earthdistance.control
index 5816d22..de2465d 100644
--- a/contrib/earthdistance/earthdistance.control
+++ b/contrib/earthdistance/earthdistance.control
@@ -1,6 +1,6 @@
 # earthdistance extension
 comment = 'calculate great-circle distances on the surface of the Earth'
-default_version = '1.1'
+default_version = '1.2'
 module_pathname = '$libdir/earthdistance'
 relocatable = true
 requires = 'cube'
